Skip to content
Relay Port

API reference

Platforms

The platforms, their publishing rules and capabilities, and the planned platforms.

GET/platforms

List the platforms

Live platforms with their publishing rules and capabilities, and planned platforms (availability planned, with the release they are planned for and the interest key to vote with). No credentials needed.

Request
curl https://api.relayport.dev/platforms

Parameters

  • X-Api-Versionstringheader

    The API version. API keys answer in the version they were created with unless this header asks for another; the current version is 2026-12-01.

    One of 2026-12-01

Responses

200OK
  • dataPlatform[]required

  • accountTypestringrequired

  • providerstringrequired

  • namestringrequired

  • descriptionstringrequired

  • availabilitystringrequired

    One of live planned

  • releaseinteger | nullrequired

    The planned release of a coming platform; null when live

  • interestKeystring | nullrequired

  • testbooleanrequired

    true for test platforms such as sandbox, which only test keys see

  • variantsstring[]required

  • rulesmap of any | nullrequired

    The publishing rules: caption limits, content types, media specs, timing and rate budgets; null for a planned platform

  • capabilitiesobject[]required

  • keystringrequired

    One of publishing.image publishing.carousel publishing.reel publishing.story publishing.collaborators publishing.alt_text publishing.user_tags publishing.location publishing.trial_reels publishing.ai_label publishing.first_comment publishing.delete publishing.resumable_upload publishing.partnership_label publishing.polls publishing.audio inbox.comments.read inbox.mentions inbox.dm.send inbox.private_reply analytics.post_metrics analytics.account_metrics analytics.story_insights_webhook ads.boost

  • stagestringrequired

    One of ga beta planned unsupported

  • variantsstring[]required

  • scopesstring[]required

  • planFeaturestring

  • limitsmap of number

  • notestring

GET/platforms/{platform}

Get a platform

Request
curl https://api.relayport.dev/platforms/{platform}

Parameters

  • X-Api-Versionstringheader

    The API version. API keys answer in the version they were created with unless this header asks for another; the current version is 2026-12-01.

    One of 2026-12-01

  • platformstringpathrequired

Responses

200OK
  • dataPlatformrequired

  • accountTypestringrequired

  • providerstringrequired

  • namestringrequired

  • descriptionstringrequired

  • availabilitystringrequired

    One of live planned

  • releaseinteger | nullrequired

    The planned release of a coming platform; null when live

  • interestKeystring | nullrequired

  • testbooleanrequired

    true for test platforms such as sandbox, which only test keys see

  • variantsstring[]required

  • rulesmap of any | nullrequired

    The publishing rules: caption limits, content types, media specs, timing and rate budgets; null for a planned platform

  • capabilitiesobject[]required

  • keystringrequired

    One of publishing.image publishing.carousel publishing.reel publishing.story publishing.collaborators publishing.alt_text publishing.user_tags publishing.location publishing.trial_reels publishing.ai_label publishing.first_comment publishing.delete publishing.resumable_upload publishing.partnership_label publishing.polls publishing.audio inbox.comments.read inbox.mentions inbox.dm.send inbox.private_reply analytics.post_metrics analytics.account_metrics analytics.story_insights_webhook ads.boost

  • stagestringrequired

    One of ga beta planned unsupported

  • variantsstring[]required

  • scopesstring[]required

  • planFeaturestring

  • limitsmap of number

  • notestring

404NotFound